# 86. Заявка: Получаване на „Стопанства“

По-долу е описано основното GraphQL запитване, използвано за извличане на всички „Ферми“, достъпни за потребителя:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
запитване FetchAllFarms {
  getFarms {
    uuid
    userUuid
    name
    farmOwnership
    externalKey
    ownerEmail
    датаНаСъздаване
    updatedDate
  }
}
```

{% endcode %}

Освен други параметри, можете да използвате `farmUuids` и `externalKeys` филтри, за да персонализирате отговора си. Тези филтри могат да се прилагат самостоятелно или в комбинация, позволявайки по-насочено извличане на данни.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
запитване FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    name
    farmOwnership
    externalKey
    ownerEmail
    датаНаСъздаване
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/86.-zayavka-poluchavane-na-stopanstva.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
